Bug 125020 - test kernels after 2.6.6-1.383 do not resume from ACPI S3
test kernels after 2.6.6-1.383 do not resume from ACPI S3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 06:08 EDT by cam
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.6.6-1.414
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 16:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cam 2004-06-02 06:08:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040319

Description of problem:
test kernels after 2.6.6-1.383 do not resume from ACPI S3

diffs from the sources show patches to pci_driver.c that may be
involved. But I no longer have access to the kernel sources
immediately following 2.6.6-1.383. Is there an archive of these?

NB this chipset (Intel 82443BX) has known bugs with the memory refresh
state machine and suspend that may have an workaround in the BIOS for
APM but not for ACPI. See Intel update 29063906 (Errata 12).

I am also seeing strange behaviour from the BIOS, ACPI drivers and the
sound driver (maestro3) relating to resume.

- from initial boot to first suspend, the BIOS keys for display
brightness and BIOS version/battery overlay work; after resume they do
nothing
- rmmod ac and battery before suspend seems to improve the success
rate of resume to near 100% on the 2.6.6-1.383 kernel.
- rmmod/suspend/modprobe ac and battery is needed to make the drivers
report the battery information (otherwise it is 'not present')
- from initial boot to first suspend, no sounds are heard; after
resume the sound works normally


Version-Release number of selected component (if applicable):
kernel > 2.6.6-1.383

How reproducible:
Always

Steps to Reproduce:
1. boot kernel more recent than 2.6.6-1.383
2. suspend the machine using ACPI
3. attempt to resume
    

Actual Results:  machine hangs while unsuspending - there may be some
disk activity or the screen may turn on before hanging

Expected Results:  successful resume

Additional info:

Pentium III Coppermine
Machine info from lspci:
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host
bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
Comment 1 cam 2004-06-04 16:17:52 EDT
fixed! 2.6.6-1.414 will suspend again. 

Although the BIOS functionality is still disconnected by the
suspend/resume cycle

Note You need to log in before you can comment on or make changes to this bug.